org.mariadb.jdbc.internal.common.query.parameters

## Class NotLongDataParameterHolder

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder
  - - org.mariadb.jdbc.internal.common.query.parameters.NotLongDataParameterHolder

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  BigDecimalParameter, BigIntParameter, ByteArrayParameter, ByteParameter, DateParameter, DoubleParameter, FloatParameter, IntParameter, LongParameter, ShortParameter, StringParameter, TimeParameter, TimestampParameter

    public abstract class NotLongDataParameterHolder
    extends ParameterHolder

### Constructor Summary

Constructors
Constructor and Description
`NotLongDataParameterHolder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `isLongData()`
`abstract void` `writeBinary(PacketOutputStream outputStream)`

### Methods inherited from class org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder

`getMySQLType, toString, writeBufferType, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotLongDataParameterHolder

    public NotLongDataParameterHolder()

### Method Detail

#### writeBinary

    public abstract void writeBinary(PacketOutputStream outputStream)

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in class `ParameterHolder`